Sticky sessionGet sticky session
List active sessions
List active sticky sessions. Management REST on monitor.geonode.com.
Auth
curl -u "<username>:<password>" \
"https://monitor.geonode.com/sessions/proxies?page=1&pageSize=50"Host
Note: GET https://app-api.geonode.com/api/sessions/proxies returns
404. Use monitor.geonode.com/sessions/proxies.
Query parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
page | integer | 1 | Page number |
pageSize | integer | 250 | Page size |
Response
HTTP 200:
{
"sessions": [
{
"id": "RESIDENTIAL_PREMIUM-<username>-p10000-docsession01",
"userId": "<username>",
"port": "10000",
"rotatingIntervalInSeconds": 274,
"durationInSeconds": 3600,
"userSessionId": "docsession01",
"country": "us"
}
],
"count": 1,
"total": 1,
"page": 1,
"pageSize": 50
}| Field | Type | Description |
|---|---|---|
sessions | array | Active sessions |
sessions[].id | string | Internal session id |
sessions[].userSessionId | string | Your -session- value |
sessions[].port | string | Sticky port |
sessions[].country | string | Country code (lowercase) |
sessions[].durationInSeconds | number | Session duration |
sessions[].rotatingIntervalInSeconds | number | Rotating interval |
count / total / page / pageSize | number | Pagination |
Was this page helpful?